Subject: Re: What does this output of git supposed to mean ?

From: Kaartic Sivaraam <[email-masked]>
Date: Tue, 06 Jun 2017 19:38:22 +0530

On Tue, 2017-06-06 at 20:52 +0900, Junio C Hamano wrote:
> "Waiting for the initial commit", or "No commits yet", can be
> explained to describe the state of the current branch (not the state
> of the repository), and it is correct that we do not have any commit
> on the branch, and the branch is waiting for the initial commit.
> 
Looks descriptive to me too. Just for the note, I wouldn't have asked
this question if `git status` showed a message like this.

-- 
Regards,
Kaartic Sivaraam <[email-masked]>